local cmd = require("cmd")

local cd = cmd.cd
local cmd = cmd.cmd

local cmake = {
    prepare = function()
        cmd[[
if [ -d "build" ]; then
  rm -r "build"
fi
]]
        cmd'mkdir build'
        cd'build'
        cmd'cmake ..'
    end,

    build = function()
        cd'build'
        cmd'make -j'
    end
}

function cmake:all()
    cmake.prepare()
    cmake.build()
end

return cmake
